Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.chart
Enum OdfSeriesSourceType

    java.lang.Object
      java.lang.Enum<OdfSeriesSourceType>
          org.odftoolkit.odfdom.dom.type.chart.OdfSeriesSourceType

All Implemented Interfaces:
  Serializable, Comparable<OdfSeriesSourceType>

    public enum OdfSeriesSourceType

extends Enum<OdfSeriesSourceType>

DOM implementation of OpenDocument attribute chart:series-source.

Enum Constant Summary
`COLUMNS`
`ROWS`

Method Summary
`static OdfSeriesSourceType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfSeriesSourceType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfSeriesSourceType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfSeriesSourceType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ROWS

    public static final OdfSeriesSourceType ROWS

### COLUMNS

    public static final OdfSeriesSourceType COLUMNS

Method Detail

### values

    public static OdfSeriesSourceType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfSeriesSourceType c : OdfSeriesSourceType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfSeriesSourceType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfSeriesSourceType>`
  Returns:
    return the name of OdfSeriesSourceType

### toString

    public static String toString(OdfSeriesSourceType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfSeriesSourceType, see chart:series-source
  Returns:
    return the name of OdfSeriesSourceType

### enumValueOf

    public static OdfSeriesSourceType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfSeriesSourceType
  Returns:
    return the constant of OdfSeriesSourceType, see chart:series-source

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.